Subject: Re: Java GIT/Eclipse GIT version 0.1.1

From: Pavel Roskin <[email-masked]>
Date: Fri, 28 Jul 2006 23:55:55 -0400

On Fri, 2006-07-28 at 23:32 -0400, Shawn Pearce wrote:

> Hmm.  My website is known to return 200 OK status codes on missing
> files with HTML pages rather than proper 404 Not Found.  I guess
> I need to get that fixed.

Maybe git-http-fetch could treat MIME type text/html like error 404?
It's not like any valid file git requests can be in HTML format.

> I just compiled and installed `next` (1.4.2.rc1.g802da) and it can
> clone this repository just fine over HTTP, despite my broken server.
> So I'm not really sure what is going on.

Sorry, I was unclear.  I can clone the repository, I was just concerned
that something was missing from it.

-- 
Regards,
Pavel Roskin